from fabric.api import hosts, run, sudo, task, env, settings, hide, execute
import argparse
import OrchestratorConfgHandler
import OrchestratorHostsHandler

def clean_up(config=None):
  if config == None:
    print("Need to know Experiment Configuration File (XFile) name")
    exit()
  try:
    ch = OrchestratorConfgHandler.OrchestratorConfgHandler(config)
    hh = OrchestratorHostsHandler.OrchestratorHostsHandler(ch.return_hosts_config())
  except Exception as ex:
    print(ex)
    exit()
  
  for host in hh.list_hosts():
    env_kwargs = hh.host_env(host)
    if env_kwargs['tmux'] != None:
      print("Cleaning up on %s" % host)
      with settings(**env_kwargs), hide('output', 'running', 'warnings'):
        sudo("tmux kill-session -t exp")
    else:
      print("Nothing to do for %s" % host)

parser = argparse.ArgumentParser(description='Software to clean up after a ctrl-C in Orchestrator.')
parser.add_argument("-f", "--config", dest='config_file', help="LegoTG experiment configuration file.")
args = parser.parse_args()

def clean_main():
  clean_up(config=args.config_file)

if __name__ == "__main__":
  clean_main()
    
    
  
  