"""
setup.py for LegoTG's Orchestrator
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
from setuptools import setup, find_packages
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

setup(
  name='TGOrchestrator',
  version='0.0.0b1',
  description='Orchestrator program to install, setup, run, test and stop LegoTG wrapped tools (TGBlocks)',
  url='http://steel.isi.edu/Projects/legoTG/',
  author='Genevieve Bartlett, Jelena Mirkovic',
  author_email='bartlett@isi.edu, mirkovic@isi.edu',
  license='The GNU General Public License',
  classifiers=[
    'Development Status :: 4 - Beta',
    'Intended Audience :: Science/Research',
    'Topic :: System :: Distributed Computing',
    'Programming Language :: Python :: 2.7'
  ],
  keywords='testbed control remote execution',
  packages=find_packages(exclude=[]),
  install_requires=['paramiko==1.12.2', 'fabric==1.8.2', 'argparse', 'configobj'],
  entry_points={
    'console_scripts': [
      'LegoTGOrchestrator = TGOrchestrator.Orchestrator:main',
      'LegoTGCleanup = TGOrchestrator.OrchestratorCleanUp:clean_main'   
    ]
  }
)

  